> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configuration User by ID

> Return a User who has access to a connection source by ID (Leen's UUID).



## OpenAPI

````yaml get /configuration/users/{user_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /configuration/users/{user_id}:
    get:
      tags:
        - configuration
      summary: Get Configuration User by ID
      description: Return a User who has access to a connection source by ID (Leen's UUID).
      operationId: get_configuration_user
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigurationUserRespModel'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    ConfigurationUserRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen UUID for the configuration user
        name:
          type: string
          title: Name
          description: Configuration First Name and Last Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Configuration User's Email
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
          description: Configuration User's Username
        last_login:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Login
          description: Configuration User's Last Login time
        vendor_user_id:
          type: string
          title: Vendor User Id
          description: Configuration User's ID in the source vendor
        vendor:
          allOf:
            - $ref: '#/components/schemas/ConnectionVendorsEnum'
          description: Source vendor
        access_data:
          type: object
          title: Access Data
          description: >-
            Configuration User's Access Data, includes roles and other
            information
      type: object
      required:
        - id
        - name
        - vendor_user_id
        - vendor
        - access_data
      title: ConfigurationUser
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionVendorsEnum:
      type: string
      enum:
        - AIKIDO
        - ARNICA
        - TENABLE
        - QUALYS
        - SNYK
        - CROWDSTRIKE
        - CROWDSTRIKE_SPOTLIGHT
        - MS_DEFENDER_CLOUD
        - MS_DEFENDER_ENDPOINT
        - MS_DEFENDER_VMS
        - MS_DEFENDER_VMS_GCC_HIGH
        - SENTINELONE
        - SENTINELONE_VMS
        - SEMGREP
        - INSIGHTVM
        - AWS_SECURITYHUB
        - LACEWORK_CSPM
        - MS_ENTRA
        - AWS_INSPECTOR2
        - AWS_ACCESS_ANALYSER
        - OKTA_IDP
        - WIZ_VMS
        - WIZ_CODE
        - GITLAB
        - TANIUM_VMS
        - UPWIND
        - CHECKMARX
        - MEND
        - ORCA
        - GITHUB
        - SERVICENOW
        - BLACK_KITE
        - BIT_SIGHT
        - JIRA
        - SECURITY_SCORECARD
        - PROCESSUNITY
      title: ConnectionVendorsEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````